<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:j2="http://jhove2.org/xsd/1.0.0">

  <xsl:output method="text" encoding="UTF-8"/>
  <xsl:strip-space elements="j2:*"/>

  <xsl:variable name="fileName" select="substring-before(//j2:feature[@name='ArcFileName'][1]/j2:value, '.arc')"/>

  <xsl:template match="/j2:jhove2">
    <xsl:text>CDX b e a m s c v n g
</xsl:text>
<!--    <xsl:apply-templates select=".//j2:feature[@ftid='http://jhove2.org/terms/reportable/org/jhove2/core/source/VersionBlockSource' or @ftid='http://jhove2.org/terms/reportable/org/jhove2/core/source/ArcRecordSource']/j2:features"
                         mode="records"/>
-->
    <xsl:apply-templates select=".//j2:feature[@name='ChildSource' and
				./j2:features/j2:feature[@name='ExtraProperties']/j2:features/j2:feature[@name='ExtraProperty' and 
					@ftid='http://jhove2.org/terms/reportable/org/jhove2/module/format/arc/properties/ArcRecordBaseProperties'] and not (
				./j2:features/j2:feature[@name='ExtraProperties']/j2:features/j2:feature[@name='ExtraProperty' and 
					@ftid='http://jhove2.org/terms/reportable/org/jhove2/module/format/arc/properties/ArcVersionBlockProperties']) ]/j2:features"
					
				mode="records" />
  </xsl:template>

  <xsl:template match="j2:features" mode="records">
    <xsl:call-template name="displayValue">
      <xsl:with-param name="value">
<!--      <xsl:value-of select="j2:feature[@name='RawArchiveDate']"/>-->
      <xsl:value-of select="j2:feature[@name='ExtraProperties']/j2:features/
		  j2:feature[@name='ExtraProperty' and @ftid='http://jhove2.org/terms/reportable/org/jhove2/module/format/arc/properties/ArcRecordBaseProperties']/
		  j2:features/j2:feature[@name='RawArchiveDate']/j2:value" />
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="displayValue">
		<xsl:with-param name="value">
<!--		<xsl:value-of select="j2:feature[@name='IpAddress']"/> -->
		  <xsl:value-of select="j2:feature[@name='ExtraProperties']/j2:features/
			  j2:feature[@name='ExtraProperty' and @ftid='http://jhove2.org/terms/reportable/org/jhove2/module/format/arc/properties/ArcRecordBaseProperties']/
			  j2:features/j2:feature[@name='IpAddress']/j2:value" />
	  </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="displayValue">
		<xsl:with-param name="value">
<!--		<xsl:value-of select="j2:feature[@name='SourceName']"/> -->
		  <xsl:value-of select="j2:feature[@name='ExtraProperties']/j2:features/
			  j2:feature[@name='ExtraProperty' and @ftid='http://jhove2.org/terms/reportable/org/jhove2/module/format/arc/properties/ArcRecordBaseProperties']/
			  j2:features/j2:feature[@name='Url']/j2:value" />
	  </xsl:with-param>
    </xsl:call-template>
<!--
    <xsl:variable name="contentType" select="j2:feature[@name='PresumptiveFormats']/j2:features/j2:feature[@name='PresumptiveFormat']/j2:features/j2:feature[@name='NativeIdentifier' and j2:features/j2:feature[@name='Namespace']/j2:value='MIME']/j2:features/j2:feature[@name='Value']/j2:value"/>
-->
    <xsl:call-template name="displayValue">
      <xsl:with-param name="value">
<!--      <xsl:value-of select="$contentType"/> -->
      <xsl:value-of select="j2:feature[@name='ChildSources']/j2:features/j2:feature[@name='ChildSource'][1]/j2:features/
		  j2:feature[@name='PresumptiveFormats']/j2:features/j2:feature[@name='PresumptiveFormat']/j2:features/
		  j2:feature[@name='NativeIdentifier' and j2:features/j2:feature[@name='Namespace']/j2:value='MIME']/j2:features/j2:feature[@name='Value']/j2:value"/>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="displayValue">
      <xsl:with-param name="value">
<!--      <xsl:value-of select="j2:feature[@name='ProtocolResultCode']"/> -->
      <xsl:value-of select="j2:feature[@name='ExtraProperties']/j2:features/
		  j2:feature[@name='ExtraProperty' and @ftid='http://jhove2.org/terms/reportable/org/jhove2/module/format/arc/properties/ArcRecordProperties']/
		  j2:features/j2:feature[@name='ProtocolResultCode']/j2:value" />
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="displayValue">
      <xsl:with-param name="value">
<!--      <xsl:value-of select="j2:feature[@name='Checksum']"/> -->
      <xsl:value-of select="j2:feature[@name='ExtraProperties']/j2:features/
		  j2:feature[@name='ExtraProperty' and @ftid='http://jhove2.org/terms/reportable/org/jhove2/module/format/arc/properties/ArcRecordBaseProperties']/
		  j2:features/j2:feature[@name='Checksum']/j2:value" />
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="displayValue">
      <xsl:with-param name="value">
<!--      <xsl:value-of select="../../../../j2:feature[@name='Offset']"/> -->
      <xsl:value-of select="j2:feature[@name='ExtraProperties']/j2:features/
		  j2:feature[@name='ExtraProperty' and @ftid='http://jhove2.org/terms/reportable/org/jhove2/module/format/arc/properties/ArcRecordBaseProperties']/
		  j2:features/j2:feature[@name='Offset']/j2:value" />
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="displayValue">
      <xsl:with-param name="value">
<!--      <xsl:value-of select="j2:feature[@name='Length']"/> -->
      <xsl:value-of select="j2:feature[@name='ExtraProperties']/j2:features/
		  j2:feature[@name='ExtraProperty' and @ftid='http://jhove2.org/terms/reportable/org/jhove2/module/format/arc/properties/ArcRecordBaseProperties']/
		  j2:features/j2:feature[@name='Length']/j2:value" />
      </xsl:with-param>
    </xsl:call-template>
    <xsl:value-of select="$fileName"/><xsl:text>
</xsl:text>
  </xsl:template>

  <xsl:template name="displayValue">
    <xsl:param name="value"/>
    <xsl:param name="defVal">-</xsl:param>
    <xsl:choose>
      <xsl:when test="string-length($value) != 0">
        <xsl:value-of select="$value"/><xsl:text> </xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$defVal"/><xsl:text> </xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
